# T38_UDPTLPacket Class Reference

`#include <t38.h>`

Inheritance diagram for T38_UDPTLPacket:

List of all members.

## Public Member Functions

| T38_UDPTLPacket (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_seq_number
T38_UDPTLPacket_primary_ifp_packet | m_primary_ifp_packet
T38_UDPTLPacket_error_recovery | m_error_recovery

## Constructor & Destructor Documentation

T38_UDPTLPacket::T38_UDPTLPacket | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX T38_UDPTLPacket::GetDataLength | ( |  | ) | const

PBoolean T38_UDPTLPacket::Decode | ( | PASN_Stream & | strm | ) |

void T38_UDPTLPacket::Encode | ( | PASN_Stream & | strm | ) | const

void T38_UDPTLPacket::PrintOn | ( | ostream & | strm | ) | const

Comparison T38_UDPTLPacket::Compare | ( | const PObject & | obj | ) | const

PObject* T38_UDPTLPacket::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer T38_UDPTLPacket::m_seq_number

T38_UDPTLPacket_primary_ifp_packet T38_UDPTLPacket::m_primary_ifp_packet

T38_UDPTLPacket_error_recovery T38_UDPTLPacket::m_error_recovery

The documentation for this class was generated from the following file:

- t38.h